﻿Imports Infragistics.Win.UltraWinTree
Imports Infragistics.Win

Public Class Form1

    Private nameColumn As UltraTreeNodeColumn = Nothing
    Private valueColumn As UltraTreeNodeColumn = Nothing


    Public Sub New()

        ' This call is required by the Windows Form Designer.
        InitializeComponent()

        ' Add any initialization after the InitializeComponent() call.

        InitializeTree()

    End Sub


    Private Sub InitializeTree()

        Dim rootColumnSet As UltraTreeColumnSet = ut.ColumnSettings.RootColumnSet
        rootColumnSet.Columns.Clear()

        With ut
            .DisplayStyle = UltraTreeDisplayStyle.WindowsVista
            .ViewStyle = ViewStyle.OutlookExpress

            With .ColumnSettings
                .BorderStyleCell = UIElementBorderStyle.Solid
                .AutoFitColumns = AutoFitColumns.ResizeAllColumns
            End With
        End With

        Me.nameColumn = rootColumnSet.Columns.Add("Name")
        With nameColumn
            .DataType = GetType(String)
            .LayoutInfo.PreferredCellSize = New Size(CInt(Me.Width / 2), 0)
            .AllowSorting = DefaultableBoolean.True
            .ShowSortIndicators = DefaultableBoolean.True
        End With

        Me.valueColumn = rootColumnSet.Columns.Add("Value")
        With nameColumn
            .DataType = GetType(String)
            .LayoutInfo.PreferredCellSize = New Size(CInt(Me.Width / 2), 0)
            .AllowSorting = DefaultableBoolean.True
            .ShowSortIndicators = DefaultableBoolean.True
        End With

    End Sub


    Private Sub PopulateTree()
        ut.Nodes.Clear()

        Dim rd As New Random

        For i As Integer = 0 To 99
            Dim node As UltraTreeNode = ut.Nodes.Add(i.ToString)
            node.SetCellValue(nameColumn, String.Format("{0:D3}", i))
            node.SetCellValue(valueColumn, rd.NextDouble.ToString)
        Next
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        PopulateTree()
    End Sub

End Class
